// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.18.1
// source: admin/backup.proto

//import "com/freeje/common.proto";

package freeje_admin

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type EntityType int32

const (
	EntityType_UNKNOWN              EntityType = 0
	EntityType_DOCUMENT_DATA        EntityType = 50   // данные по загруженым ранее документам
	EntityType_PROFILE_PHONE        EntityType = 100  // подтвержденные телефоны профиля
	EntityType_PROFILE_PUSH         EntityType = 101  // пуш идентификаторы профиля
	EntityType_PROFILE_ACCESS       EntityType = 102  // Учетные данные внишних сервисов у профиля
	EntityType_PROFILE_DOCUMENT     EntityType = 103  // Документы профиля
	EntityType_PROFILE              EntityType = 150  // Общие данные профиля
	EntityType_ACCOUNT              EntityType = 200  // Общие данные по счету
	EntityType_ACCOUNT_TARIFF       EntityType = 210  // Данные по тарифам
	EntityType_ACCOUNT_TARIFF_USAGE EntityType = 220  // Данные по используемым тарифам
	EntityType_PREFIX_TARIFF        EntityType = 230  // Данные по направлению в тарифе
	EntityType_LIMIT_TARIFF         EntityType = 240  // Данные по ограничению в тарифе
	EntityType_COVERAGE             EntityType = 300  // Данные по покрытию
	EntityType_DID_PRICE            EntityType = 350  // Таблица переназначения цен для DID операторов
	EntityType_DID_PREFIX_PRICE     EntityType = 360  // Переназначение цены оператора по префиксу в рамках отдельного DID_PRICE
	EntityType_DID_PROVIDER         EntityType = 400  // Перечень поставщиков DID номеров
	EntityType_DID_POOL_NUMBER      EntityType = 500  // Пул активных номеров обрабатываемых сервисом и доступных для предоставлению клиентам
	EntityType_DID_POOL_NUMBER_LOG  EntityType = 510  // История номера
	EntityType_DID_POOL_PREFIX      EntityType = 520  // Кеш свободных номеров по префиксам
	EntityType_DID_USAGE_ACCOUNT    EntityType = 530  // Принадлежность номера аккаунту
	EntityType_DID_USAGE_HISTORY    EntityType = 540  //Архив владения номером
	EntityType_DID_USAGE_NOW        EntityType = 550  //Текущее владение номером
	EntityType_DID_REQUEST_NUMBER   EntityType = 600  // Кеш свободных номеров по префиксам
	EntityType_DID_TASK             EntityType = 700  // Список задач для номеров (продление, освобождение)
	EntityType_FINANCE_TRANSACTION  EntityType = 800  // Финансовые транзакции по счету
	EntityType_GENERIC_COUNTER      EntityType = 900  // Различные счетчики
	EntityType_PAYMENT_METHOD       EntityType = 1000 // Типы платежных систем
	EntityType_INVOICE_CONTENT      EntityType = 1100 // Выставленные счета
	EntityType_GATEWAY_RATE         EntityType = 1200 // Таблица рейтов
	EntityType_GATEWAY_PREFIX_RATE  EntityType = 1210 // Рейт по конкретному направлению в таблице
	EntityType_GATEWAY_RATE_ID      EntityType = 1220 // Обратный поиск между рейтами и шлюзом который его испульзует
	EntityType_GATEWAY              EntityType = 1300 // Шлюз
	EntityType_GATEWAY_CALL         EntityType = 1400 // Информация о звонке через шлюз
	EntityType_SMS                  EntityType = 1500 // Информация о смс
	EntityType_SMS_PART             EntityType = 1510 // Информация о части смс
	EntityType_SMS_COUNTER          EntityType = 1520 // Счетчик СМС
	EntityType_OFFER_BASKET         EntityType = 1600 // Корзина пользователя
	EntityType_CURRENCY             EntityType = 1700 // Валюты
	EntityType_CURRENCY_RATE        EntityType = 1710 // Рейты валют
)

// Enum value maps for EntityType.
var (
	EntityType_name = map[int32]string{
		0:    "UNKNOWN",
		50:   "DOCUMENT_DATA",
		100:  "PROFILE_PHONE",
		101:  "PROFILE_PUSH",
		102:  "PROFILE_ACCESS",
		103:  "PROFILE_DOCUMENT",
		150:  "PROFILE",
		200:  "ACCOUNT",
		210:  "ACCOUNT_TARIFF",
		220:  "ACCOUNT_TARIFF_USAGE",
		230:  "PREFIX_TARIFF",
		240:  "LIMIT_TARIFF",
		300:  "COVERAGE",
		350:  "DID_PRICE",
		360:  "DID_PREFIX_PRICE",
		400:  "DID_PROVIDER",
		500:  "DID_POOL_NUMBER",
		510:  "DID_POOL_NUMBER_LOG",
		520:  "DID_POOL_PREFIX",
		530:  "DID_USAGE_ACCOUNT",
		540:  "DID_USAGE_HISTORY",
		550:  "DID_USAGE_NOW",
		600:  "DID_REQUEST_NUMBER",
		700:  "DID_TASK",
		800:  "FINANCE_TRANSACTION",
		900:  "GENERIC_COUNTER",
		1000: "PAYMENT_METHOD",
		1100: "INVOICE_CONTENT",
		1200: "GATEWAY_RATE",
		1210: "GATEWAY_PREFIX_RATE",
		1220: "GATEWAY_RATE_ID",
		1300: "GATEWAY",
		1400: "GATEWAY_CALL",
		1500: "SMS",
		1510: "SMS_PART",
		1520: "SMS_COUNTER",
		1600: "OFFER_BASKET",
		1700: "CURRENCY",
		1710: "CURRENCY_RATE",
	}
	EntityType_value = map[string]int32{
		"UNKNOWN":              0,
		"DOCUMENT_DATA":        50,
		"PROFILE_PHONE":        100,
		"PROFILE_PUSH":         101,
		"PROFILE_ACCESS":       102,
		"PROFILE_DOCUMENT":     103,
		"PROFILE":              150,
		"ACCOUNT":              200,
		"ACCOUNT_TARIFF":       210,
		"ACCOUNT_TARIFF_USAGE": 220,
		"PREFIX_TARIFF":        230,
		"LIMIT_TARIFF":         240,
		"COVERAGE":             300,
		"DID_PRICE":            350,
		"DID_PREFIX_PRICE":     360,
		"DID_PROVIDER":         400,
		"DID_POOL_NUMBER":      500,
		"DID_POOL_NUMBER_LOG":  510,
		"DID_POOL_PREFIX":      520,
		"DID_USAGE_ACCOUNT":    530,
		"DID_USAGE_HISTORY":    540,
		"DID_USAGE_NOW":        550,
		"DID_REQUEST_NUMBER":   600,
		"DID_TASK":             700,
		"FINANCE_TRANSACTION":  800,
		"GENERIC_COUNTER":      900,
		"PAYMENT_METHOD":       1000,
		"INVOICE_CONTENT":      1100,
		"GATEWAY_RATE":         1200,
		"GATEWAY_PREFIX_RATE":  1210,
		"GATEWAY_RATE_ID":      1220,
		"GATEWAY":              1300,
		"GATEWAY_CALL":         1400,
		"SMS":                  1500,
		"SMS_PART":             1510,
		"SMS_COUNTER":          1520,
		"OFFER_BASKET":         1600,
		"CURRENCY":             1700,
		"CURRENCY_RATE":        1710,
	}
)

func (x EntityType) Enum() *EntityType {
	p := new(EntityType)
	*p = x
	return p
}

func (x EntityType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (EntityType) Descriptor() protoreflect.EnumDescriptor {
	return file_admin_backup_proto_enumTypes[0].Descriptor()
}

func (EntityType) Type() protoreflect.EnumType {
	return &file_admin_backup_proto_enumTypes[0]
}

func (x EntityType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use EntityType.Descriptor instead.
func (EntityType) EnumDescriptor() ([]byte, []int) {
	return file_admin_backup_proto_rawDescGZIP(), []int{0}
}

type BackupOptions struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Types []EntityType `protobuf:"varint,1,rep,packed,name=types,proto3,enum=com.freeje.api.admin.EntityType" json:"types,omitempty"`
}

func (x *BackupOptions) Reset() {
	*x = BackupOptions{}
	if protoimpl.UnsafeEnabled {
		mi := &file_admin_backup_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BackupOptions) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BackupOptions) ProtoMessage() {}

func (x *BackupOptions) ProtoReflect() protoreflect.Message {
	mi := &file_admin_backup_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BackupOptions.ProtoReflect.Descriptor instead.
func (*BackupOptions) Descriptor() ([]byte, []int) {
	return file_admin_backup_proto_rawDescGZIP(), []int{0}
}

func (x *BackupOptions) GetTypes() []EntityType {
	if x != nil {
		return x.Types
	}
	return nil
}

type BackupResult struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *BackupResult) Reset() {
	*x = BackupResult{}
	if protoimpl.UnsafeEnabled {
		mi := &file_admin_backup_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BackupResult) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BackupResult) ProtoMessage() {}

func (x *BackupResult) ProtoReflect() protoreflect.Message {
	mi := &file_admin_backup_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BackupResult.ProtoReflect.Descriptor instead.
func (*BackupResult) Descriptor() ([]byte, []int) {
	return file_admin_backup_proto_rawDescGZIP(), []int{1}
}

//Объект резервной копии
type BackupEntity struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Type EntityType `protobuf:"varint,1,opt,name=type,proto3,enum=com.freeje.api.admin.EntityType" json:"type,omitempty"`
	Data []byte     `protobuf:"bytes,2,opt,name=data,proto3" json:"data,omitempty"`
}

func (x *BackupEntity) Reset() {
	*x = BackupEntity{}
	if protoimpl.UnsafeEnabled {
		mi := &file_admin_backup_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BackupEntity) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BackupEntity) ProtoMessage() {}

func (x *BackupEntity) ProtoReflect() protoreflect.Message {
	mi := &file_admin_backup_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BackupEntity.ProtoReflect.Descriptor instead.
func (*BackupEntity) Descriptor() ([]byte, []int) {
	return file_admin_backup_proto_rawDescGZIP(), []int{2}
}

func (x *BackupEntity) GetType() EntityType {
	if x != nil {
		return x.Type
	}
	return EntityType_UNKNOWN
}

func (x *BackupEntity) GetData() []byte {
	if x != nil {
		return x.Data
	}
	return nil
}

var File_admin_backup_proto protoreflect.FileDescriptor

var file_admin_backup_proto_rawDesc = []byte{
	0x0a, 0x12, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2f, 0x62, 0x61, 0x63, 0x6b, 0x75, 0x70, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x12, 0x14, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x22, 0x47, 0x0a, 0x0d, 0x42, 0x61,
	0x63, 0x6b, 0x75, 0x70, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x12, 0x36, 0x0a, 0x05, 0x74,
	0x79, 0x70, 0x65, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0e, 0x32, 0x20, 0x2e, 0x63, 0x6f, 0x6d,
	0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69,
	0x6e, 0x2e, 0x45, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x54, 0x79, 0x70, 0x65, 0x52, 0x05, 0x74, 0x79,
	0x70, 0x65, 0x73, 0x22, 0x0e, 0x0a, 0x0c, 0x42, 0x61, 0x63, 0x6b, 0x75, 0x70, 0x52, 0x65, 0x73,
	0x75, 0x6c, 0x74, 0x22, 0x58, 0x0a, 0x0c, 0x42, 0x61, 0x63, 0x6b, 0x75, 0x70, 0x45, 0x6e, 0x74,
	0x69, 0x74, 0x79, 0x12, 0x34, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0e, 0x32, 0x20, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61,
	0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x45, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x54,
	0x79, 0x70, 0x65, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x64, 0x61, 0x74,
	0x61, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x04, 0x64, 0x61, 0x74, 0x61, 0x2a, 0x89, 0x06,
	0x0a, 0x0a, 0x45, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x54, 0x79, 0x70, 0x65, 0x12, 0x0b, 0x0a, 0x07,
	0x55, 0x4e, 0x4b, 0x4e, 0x4f, 0x57, 0x4e, 0x10, 0x00, 0x12, 0x11, 0x0a, 0x0d, 0x44, 0x4f, 0x43,
	0x55, 0x4d, 0x45, 0x4e, 0x54, 0x5f, 0x44, 0x41, 0x54, 0x41, 0x10, 0x32, 0x12, 0x11, 0x0a, 0x0d,
	0x50, 0x52, 0x4f, 0x46, 0x49, 0x4c, 0x45, 0x5f, 0x50, 0x48, 0x4f, 0x4e, 0x45, 0x10, 0x64, 0x12,
	0x10, 0x0a, 0x0c, 0x50, 0x52, 0x4f, 0x46, 0x49, 0x4c, 0x45, 0x5f, 0x50, 0x55, 0x53, 0x48, 0x10,
	0x65, 0x12, 0x12, 0x0a, 0x0e, 0x50, 0x52, 0x4f, 0x46, 0x49, 0x4c, 0x45, 0x5f, 0x41, 0x43, 0x43,
	0x45, 0x53, 0x53, 0x10, 0x66, 0x12, 0x14, 0x0a, 0x10, 0x50, 0x52, 0x4f, 0x46, 0x49, 0x4c, 0x45,
	0x5f, 0x44, 0x4f, 0x43, 0x55, 0x4d, 0x45, 0x4e, 0x54, 0x10, 0x67, 0x12, 0x0c, 0x0a, 0x07, 0x50,
	0x52, 0x4f, 0x46, 0x49, 0x4c, 0x45, 0x10, 0x96, 0x01, 0x12, 0x0c, 0x0a, 0x07, 0x41, 0x43, 0x43,
	0x4f, 0x55, 0x4e, 0x54, 0x10, 0xc8, 0x01, 0x12, 0x13, 0x0a, 0x0e, 0x41, 0x43, 0x43, 0x4f, 0x55,
	0x4e, 0x54, 0x5f, 0x54, 0x41, 0x52, 0x49, 0x46, 0x46, 0x10, 0xd2, 0x01, 0x12, 0x19, 0x0a, 0x14,
	0x41, 0x43, 0x43, 0x4f, 0x55, 0x4e, 0x54, 0x5f, 0x54, 0x41, 0x52, 0x49, 0x46, 0x46, 0x5f, 0x55,
	0x53, 0x41, 0x47, 0x45, 0x10, 0xdc, 0x01, 0x12, 0x12, 0x0a, 0x0d, 0x50, 0x52, 0x45, 0x46, 0x49,
	0x58, 0x5f, 0x54, 0x41, 0x52, 0x49, 0x46, 0x46, 0x10, 0xe6, 0x01, 0x12, 0x11, 0x0a, 0x0c, 0x4c,
	0x49, 0x4d, 0x49, 0x54, 0x5f, 0x54, 0x41, 0x52, 0x49, 0x46, 0x46, 0x10, 0xf0, 0x01, 0x12, 0x0d,
	0x0a, 0x08, 0x43, 0x4f, 0x56, 0x45, 0x52, 0x41, 0x47, 0x45, 0x10, 0xac, 0x02, 0x12, 0x0e, 0x0a,
	0x09, 0x44, 0x49, 0x44, 0x5f, 0x50, 0x52, 0x49, 0x43, 0x45, 0x10, 0xde, 0x02, 0x12, 0x15, 0x0a,
	0x10, 0x44, 0x49, 0x44, 0x5f, 0x50, 0x52, 0x45, 0x46, 0x49, 0x58, 0x5f, 0x50, 0x52, 0x49, 0x43,
	0x45, 0x10, 0xe8, 0x02, 0x12, 0x11, 0x0a, 0x0c, 0x44, 0x49, 0x44, 0x5f, 0x50, 0x52, 0x4f, 0x56,
	0x49, 0x44, 0x45, 0x52, 0x10, 0x90, 0x03, 0x12, 0x14, 0x0a, 0x0f, 0x44, 0x49, 0x44, 0x5f, 0x50,
	0x4f, 0x4f, 0x4c, 0x5f, 0x4e, 0x55, 0x4d, 0x42, 0x45, 0x52, 0x10, 0xf4, 0x03, 0x12, 0x18, 0x0a,
	0x13, 0x44, 0x49, 0x44, 0x5f, 0x50, 0x4f, 0x4f, 0x4c, 0x5f, 0x4e, 0x55, 0x4d, 0x42, 0x45, 0x52,
	0x5f, 0x4c, 0x4f, 0x47, 0x10, 0xfe, 0x03, 0x12, 0x14, 0x0a, 0x0f, 0x44, 0x49, 0x44, 0x5f, 0x50,
	0x4f, 0x4f, 0x4c, 0x5f, 0x50, 0x52, 0x45, 0x46, 0x49, 0x58, 0x10, 0x88, 0x04, 0x12, 0x16, 0x0a,
	0x11, 0x44, 0x49, 0x44, 0x5f, 0x55, 0x53, 0x41, 0x47, 0x45, 0x5f, 0x41, 0x43, 0x43, 0x4f, 0x55,
	0x4e, 0x54, 0x10, 0x92, 0x04, 0x12, 0x16, 0x0a, 0x11, 0x44, 0x49, 0x44, 0x5f, 0x55, 0x53, 0x41,
	0x47, 0x45, 0x5f, 0x48, 0x49, 0x53, 0x54, 0x4f, 0x52, 0x59, 0x10, 0x9c, 0x04, 0x12, 0x12, 0x0a,
	0x0d, 0x44, 0x49, 0x44, 0x5f, 0x55, 0x53, 0x41, 0x47, 0x45, 0x5f, 0x4e, 0x4f, 0x57, 0x10, 0xa6,
	0x04, 0x12, 0x17, 0x0a, 0x12, 0x44, 0x49, 0x44, 0x5f, 0x52, 0x45, 0x51, 0x55, 0x45, 0x53, 0x54,
	0x5f, 0x4e, 0x55, 0x4d, 0x42, 0x45, 0x52, 0x10, 0xd8, 0x04, 0x12, 0x0d, 0x0a, 0x08, 0x44, 0x49,
	0x44, 0x5f, 0x54, 0x41, 0x53, 0x4b, 0x10, 0xbc, 0x05, 0x12, 0x18, 0x0a, 0x13, 0x46, 0x49, 0x4e,
	0x41, 0x4e, 0x43, 0x45, 0x5f, 0x54, 0x52, 0x41, 0x4e, 0x53, 0x41, 0x43, 0x54, 0x49, 0x4f, 0x4e,
	0x10, 0xa0, 0x06, 0x12, 0x14, 0x0a, 0x0f, 0x47, 0x45, 0x4e, 0x45, 0x52, 0x49, 0x43, 0x5f, 0x43,
	0x4f, 0x55, 0x4e, 0x54, 0x45, 0x52, 0x10, 0x84, 0x07, 0x12, 0x13, 0x0a, 0x0e, 0x50, 0x41, 0x59,
	0x4d, 0x45, 0x4e, 0x54, 0x5f, 0x4d, 0x45, 0x54, 0x48, 0x4f, 0x44, 0x10, 0xe8, 0x07, 0x12, 0x14,
	0x0a, 0x0f, 0x49, 0x4e, 0x56, 0x4f, 0x49, 0x43, 0x45, 0x5f, 0x43, 0x4f, 0x4e, 0x54, 0x45, 0x4e,
	0x54, 0x10, 0xcc, 0x08, 0x12, 0x11, 0x0a, 0x0c, 0x47, 0x41, 0x54, 0x45, 0x57, 0x41, 0x59, 0x5f,
	0x52, 0x41, 0x54, 0x45, 0x10, 0xb0, 0x09, 0x12, 0x18, 0x0a, 0x13, 0x47, 0x41, 0x54, 0x45, 0x57,
	0x41, 0x59, 0x5f, 0x50, 0x52, 0x45, 0x46, 0x49, 0x58, 0x5f, 0x52, 0x41, 0x54, 0x45, 0x10, 0xba,
	0x09, 0x12, 0x14, 0x0a, 0x0f, 0x47, 0x41, 0x54, 0x45, 0x57, 0x41, 0x59, 0x5f, 0x52, 0x41, 0x54,
	0x45, 0x5f, 0x49, 0x44, 0x10, 0xc4, 0x09, 0x12, 0x0c, 0x0a, 0x07, 0x47, 0x41, 0x54, 0x45, 0x57,
	0x41, 0x59, 0x10, 0x94, 0x0a, 0x12, 0x11, 0x0a, 0x0c, 0x47, 0x41, 0x54, 0x45, 0x57, 0x41, 0x59,
	0x5f, 0x43, 0x41, 0x4c, 0x4c, 0x10, 0xf8, 0x0a, 0x12, 0x08, 0x0a, 0x03, 0x53, 0x4d, 0x53, 0x10,
	0xdc, 0x0b, 0x12, 0x0d, 0x0a, 0x08, 0x53, 0x4d, 0x53, 0x5f, 0x50, 0x41, 0x52, 0x54, 0x10, 0xe6,
	0x0b, 0x12, 0x10, 0x0a, 0x0b, 0x53, 0x4d, 0x53, 0x5f, 0x43, 0x4f, 0x55, 0x4e, 0x54, 0x45, 0x52,
	0x10, 0xf0, 0x0b, 0x12, 0x11, 0x0a, 0x0c, 0x4f, 0x46, 0x46, 0x45, 0x52, 0x5f, 0x42, 0x41, 0x53,
	0x4b, 0x45, 0x54, 0x10, 0xc0, 0x0c, 0x12, 0x0d, 0x0a, 0x08, 0x43, 0x55, 0x52, 0x52, 0x45, 0x4e,
	0x43, 0x59, 0x10, 0xa4, 0x0d, 0x12, 0x12, 0x0a, 0x0d, 0x43, 0x55, 0x52, 0x52, 0x45, 0x4e, 0x43,
	0x59, 0x5f, 0x52, 0x41, 0x54, 0x45, 0x10, 0xae, 0x0d, 0x32, 0xbb, 0x01, 0x0a, 0x06, 0x42, 0x61,
	0x63, 0x6b, 0x75, 0x70, 0x12, 0x59, 0x0a, 0x0c, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x42, 0x61,
	0x63, 0x6b, 0x75, 0x70, 0x12, 0x23, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a,
	0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x42, 0x61, 0x63, 0x6b,
	0x75, 0x70, 0x4f, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x73, 0x1a, 0x22, 0x2e, 0x63, 0x6f, 0x6d, 0x2e,
	0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e,
	0x2e, 0x42, 0x61, 0x63, 0x6b, 0x75, 0x70, 0x45, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x30, 0x01, 0x12,
	0x56, 0x0a, 0x0a, 0x4c, 0x6f, 0x61, 0x64, 0x42, 0x61, 0x63, 0x6b, 0x75, 0x70, 0x12, 0x22, 0x2e,
	0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61,
	0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x42, 0x61, 0x63, 0x6b, 0x75, 0x70, 0x45, 0x6e, 0x74, 0x69, 0x74,
	0x79, 0x1a, 0x22, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61,
	0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x42, 0x61, 0x63, 0x6b, 0x75, 0x70, 0x52,
	0x65, 0x73, 0x75, 0x6c, 0x74, 0x28, 0x01, 0x42, 0x6e, 0x0a, 0x14, 0x63, 0x6f, 0x6d, 0x2e, 0x66,
	0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x42,
	0x0a, 0x42, 0x61, 0x63, 0x6b, 0x75, 0x70, 0x54, 0x79, 0x70, 0x65, 0x50, 0x00, 0x5a, 0x3b, 0x67,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x42, 0x65, 0x74, 0x61, 0x43, 0x6f,
	0x6d, 0x70, 0x61, 0x6e, 0x79, 0x2f, 0x46, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2f, 0x73, 0x64, 0x6b,
	0x2f, 0x67, 0x6f, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x3b, 0x66, 0x72,
	0x65, 0x65, 0x6a, 0x65, 0x5f, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0xa2, 0x02, 0x0a, 0x42, 0x61, 0x63,
	0x6b, 0x75, 0x70, 0x54, 0x79, 0x70, 0x65, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_admin_backup_proto_rawDescOnce sync.Once
	file_admin_backup_proto_rawDescData = file_admin_backup_proto_rawDesc
)

func file_admin_backup_proto_rawDescGZIP() []byte {
	file_admin_backup_proto_rawDescOnce.Do(func() {
		file_admin_backup_proto_rawDescData = protoimpl.X.CompressGZIP(file_admin_backup_proto_rawDescData)
	})
	return file_admin_backup_proto_rawDescData
}

var file_admin_backup_proto_enumTypes = make([]protoimpl.EnumInfo, 1)
var file_admin_backup_proto_msgTypes = make([]protoimpl.MessageInfo, 3)
var file_admin_backup_proto_goTypes = []interface{}{
	(EntityType)(0),       // 0: com.freeje.api.admin.EntityType
	(*BackupOptions)(nil), // 1: com.freeje.api.admin.BackupOptions
	(*BackupResult)(nil),  // 2: com.freeje.api.admin.BackupResult
	(*BackupEntity)(nil),  // 3: com.freeje.api.admin.BackupEntity
}
var file_admin_backup_proto_depIdxs = []int32{
	0, // 0: com.freeje.api.admin.BackupOptions.types:type_name -> com.freeje.api.admin.EntityType
	0, // 1: com.freeje.api.admin.BackupEntity.type:type_name -> com.freeje.api.admin.EntityType
	1, // 2: com.freeje.api.admin.Backup.CreateBackup:input_type -> com.freeje.api.admin.BackupOptions
	3, // 3: com.freeje.api.admin.Backup.LoadBackup:input_type -> com.freeje.api.admin.BackupEntity
	3, // 4: com.freeje.api.admin.Backup.CreateBackup:output_type -> com.freeje.api.admin.BackupEntity
	2, // 5: com.freeje.api.admin.Backup.LoadBackup:output_type -> com.freeje.api.admin.BackupResult
	4, // [4:6] is the sub-list for method output_type
	2, // [2:4] is the sub-list for method input_type
	2, // [2:2] is the sub-list for extension type_name
	2, // [2:2] is the sub-list for extension extendee
	0, // [0:2] is the sub-list for field type_name
}

func init() { file_admin_backup_proto_init() }
func file_admin_backup_proto_init() {
	if File_admin_backup_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_admin_backup_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BackupOptions); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_admin_backup_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BackupResult); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_admin_backup_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BackupEntity); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_admin_backup_proto_rawDesc,
			NumEnums:      1,
			NumMessages:   3,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_admin_backup_proto_goTypes,
		DependencyIndexes: file_admin_backup_proto_depIdxs,
		EnumInfos:         file_admin_backup_proto_enumTypes,
		MessageInfos:      file_admin_backup_proto_msgTypes,
	}.Build()
	File_admin_backup_proto = out.File
	file_admin_backup_proto_rawDesc = nil
	file_admin_backup_proto_goTypes = nil
	file_admin_backup_proto_depIdxs = nil
}
